Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe
Class CopyLoadedOptions

    java.lang.Object
      javafe.Options
          javafe.SrcToolOptions
              javafe.CopyLoadedOptions

class CopyLoadedOptions
extends SrcToolOptions

Field Summary
`java.lang.String` | `outDir`
`java.lang.String` | `outLibIndirect`
`java.lang.String` | `outProgIndirect`

Fields inherited from class javafe.SrcToolOptions
`allowAvoidSpec, allowDepend, avoidSpec, processRecursively`

Fields inherited from class javafe.Options
`assertionsEnabled, assertIsKeyword, currentdir, eol, fileOrigin, inputEntries, issueUsage, NEVER_BINARY, NEVER_SOURCE, noCautions, PREFER_BINARY, PREFER_RECENT, PREFER_SOURCE, privateOptionData, publicOptionData, quiet, showErrorLocation, sysPath, testMode, userPath, userSourcePath, v`

Constructor Summary
`(package private)` | `CopyLoadedOptions()`

Method Summary
`int` | `processOption(java.lang.String option, java.lang.String[] args, int offset)` * Option processing: * *
`java.lang.String` | `showNonOptions()` Print non-option usage info to `System.err`.
`java.lang.String` | `showOptions(boolean all)` Print option information to `System.err`.

Methods inherited from class javafe.Options
`checkMoreArguments, format, processFileOfArgs, processOptions, processOptionsLoop, showOptionArray, usage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outDir

    public java.lang.String outDir

### outProgIndirect

    public java.lang.String outProgIndirect

### outLibIndirect

    public java.lang.String outLibIndirect

Constructor Detail

### CopyLoadedOptions

    CopyLoadedOptions()

Method Detail

### showNonOptions

    public java.lang.String showNonOptions()

  Description copied from class: `SrcToolOptions`
  Print non-option usage info to `System.err`. Output must include at least one newline.

  Overrides:
    `showNonOptions` in class `SrcToolOptions`

### showOptions

    public java.lang.String showOptions(boolean all)

  Description copied from class: `SrcToolOptions`
  Print option information to `System.err`. Each printed line should be preceeded by two blank spaces.

  Each overriding method should first call `super.showOptions()`.

  Overrides:
    `showOptions` in class `SrcToolOptions`

### processOption

    public int processOption(java.lang.String option,
                             java.lang.String[] args,
                             int offset)
                      throws UsageError

  * Option processing: * *

  Overrides:
    `processOption` in class `SrcToolOptions`
  Throws:
    `UsageError`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage